Updates the user_skill_list object with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

user_skill_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
user_id

Foreign key to user

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating user_skill_list

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating user_skill_list

user

Optionally required : user_id, user_code or user must be provided

skill_id

Foreign key to skill

globally unique identifier

Optionally required : skill_id, skill_code or skill must be provided

skill_code

Embedded entity "skill" using ERP PK when adding/updating user_skill_list

string

Optionally required : skill_id, skill_code or skill must be provided

skill

Embedded entity "skill" using node when adding/updating user_skill_list

skill

Optionally required : skill_id, skill_code or skill must be provided

reference_back_office

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "4be92aa3-fb9d-4565-b916-8b6eebf49ff0",
  "user_id": "3feccd5b-48da-4a58-bf47-92c083e87110",
  "user_code": "sample string 3",
  "user": {
    "id": "d5bfc3ce-1679-4624-a22a-1f8dacb77075",
    "db_language_id": "066aec00-b18b-4cda-8ede-2237ff9bb30b",
    "username": "sample string 3",
    "firstname": "sample string 4",
    "lastname": "sample string 5",
    "code": "sample string 6",
    "archived": true,
    "disabled": true,
    "emergency_contact": "sample string 9",
    "bankaccount": "sample string 10",
    "social_security": "sample string 11",
    "place_of_birth": "sample string 12",
    "nationality": "sample string 13",
    "functions": "sample string 14",
    "birthdate": "2026-10-24T04:10:11.7043948+00:00",
    "skype": "sample string 16",
    "notes": "sample string 17",
    "sales_organization_id": "8143e1a4-a103-408e-ab18-181f720ada28",
    "sales_organization": {
      "id": "94a9e2f9-b3d4-429e-b10d-f2fd7d3f59e2",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "3d0d9f44-e294-4f6c-b0e5-739b51621398",
      "db_currency_id": "36b8df77-a637-4d1a-bc65-14e9102e1316",
      "db_language_id": "099365e1-8716-426f-a577-345d44cb7b0f",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-24T04:10:11.7043948+00:00"
    },
    "sales_organization_code": "sample string 19",
    "is_team_leader": true,
    "team_leader_user_id": "96fbe838-7d82-4699-b64b-5b58548f92a2",
    "email": "sample string 22",
    "phone": "sample string 23",
    "fax": "sample string 24",
    "mobile": "sample string 25",
    "private_email": "sample string 26",
    "private_phone": "sample string 27",
    "private_fax": "sample string 28",
    "private_mobile": "sample string 29",
    "private_street": "sample string 30",
    "private_street_number": "sample string 31",
    "private_city": "sample string 32",
    "private_zip": "sample string 33",
    "private_db_country_id": "bc942a29-b4e6-4993-a976-ef5f0a1365f4",
    "private_db_country_code": "sample string 35",
    "modified_dateutc": "2026-10-24T04:10:11.7043948+00:00",
    "allow_hero_app": true,
    "allow_sales_app": true,
    "allow_service_app": true,
    "user_group_id": "93146769-f0ea-407d-beb3-491abbd5a77f"
  },
  "skill_id": "d4afe6f1-c64f-495b-b160-8565a4ad5f34",
  "skill_code": "sample string 5",
  "skill": {
    "id": "97df454a-16b8-4d0f-a576-93c42026c88c",
    "name": "sample string 2",
    "description": "sample string 3",
    "code": "sample string 4",
    "sales_organization_id": "93352e32-9aa9-4ccd-af06-332cd6dcd7fa",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "94a9e2f9-b3d4-429e-b10d-f2fd7d3f59e2",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "3d0d9f44-e294-4f6c-b0e5-739b51621398",
      "db_currency_id": "36b8df77-a637-4d1a-bc65-14e9102e1316",
      "db_language_id": "099365e1-8716-426f-a577-345d44cb7b0f",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-24T04:10:11.7043948+00:00"
    },
    "modified_dateutc": "2026-10-24T04:10:11.7043948+00:00"
  },
  "reference_back_office": "sample string 6",
  "modified_dateutc": "2026-10-24T04:10:11.7043948+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.